Wallets, tokens & networks
Prepare Paxos Withdraw
Prepares Paxos withdrawal-queue approval and order transactions via the Amplify SDK.
POSThttps://api.toku.com/tga/prepare-paxos-withdraw
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/prepare-paxos-withdraw' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"withdrawAmount": "string",
"wantAsset": "string",
"userAddress": "string"
}'200 response
{
"approvalTx": {
"abi": [],
"address": "string",
"functionName": "string",
"args": [],
"chainId": 0
},
"withdrawTx": {
"abi": [],
"address": "string",
"functionName": "string",
"args": [],
"chainId": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
withdrawAmountstringrequiredNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Allowed: at least 1 characters
wantAssetstringrequiredAllowed: matches ^0x[a-fA-F0-9]{40}$
userAddressstringrequiredAllowed: matches ^0x[a-fA-F0-9]{40}$
chainIdanyrequiredResponse
200Successful response
approvalTxobjectShow child attributes
abiany[]requiredaddressstringrequiredfunctionNamestringrequiredargsany[]requiredchainIdnumberrequiredwithdrawTxobjectrequiredShow child attributes
abiany[]requiredaddressstringrequiredfunctionNamestringrequiredargsany[]requiredchainIdnumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits